Subject: Re: bug#33571: 26.1.90; Artifacts in echo area

From: Live System User <[email-masked]>
Date: Sun, 02 Dec 2018 20:16:11 -0500

Paul Eggert <[email-masked]> writes:

> Live System User wrote:
>>    I am seeing:
>>
>>         C-g-
>>
>>    remaining in the echo area (please note trailing hyphen "-") in
>>    Emacs 27.
>
> If I run 'emacs -Q' and type C-g, I see "Quit" in the echo area.

  Sorry, I meant to type:

         C-c g-

   which I have bound to "magit-status":

(defadvice magit-status (around magit-fullscreen activate)
  (window-configuration-to-register :magit-fullscreen)
  ad-do-it
  (delete-other-windows))
(global-set-key "\C-c\g" 'magit-status)

>
> Perhaps you meant "C-c"? If I run 'emacs -Q' and type C-c and wait, I
> see "C-c-" 
> in the echo area (with the trailing hyphen). However, that's normal
> and the behavior of Emacs hasn't changed there in quite some time. The
> trailing hyphen advises the user to type another keystroke in that
> context.
>
> In the past, Emacs has had problems where the echo area wasn't cleared
> properly, and it sounds like you're seeing a bug in that
> area. However, I doubt whether any such bug is related to my recent
> changes to keyboard.c in the emacs-26 branch. As Eli suggested, to
> debug your problem we'll need a complete stand-alone recipe for
> reproducing your problem, starting from 'emacs -Q'.

  I'll try to get a minimal configuration.

  Thanks.